using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DevaCameraSample
{
    public partial class ImageSelectForm : Form
    {
        int m_nSelectedIndex;
        string[] m_ImageNames;
        int m_nImageNames;
        public ImageSelectForm(string [] titles,int nTitles)
        {
            InitializeComponent();
            m_nSelectedIndex = -1;
            m_nImageNames = nTitles;
            m_ImageNames = new string[nTitles];
            for (int n = 0; n < m_nImageNames; n++)
            {
                m_ImageNames[n] = titles[n];
            }
        }

        public int GetIndex()
        {
            return m_nSelectedIndex;
        }

        private void OnOkButton(object sender, EventArgs e)
        {
            m_nSelectedIndex = SelectComboBox.SelectedIndex;
            this.DialogResult = DialogResult.OK;
        }

        private void onLoad(object sender, EventArgs e)
        {
            for (int n = 0; n < m_nImageNames; n++)
            {
                SelectComboBox.Items.Add(m_ImageNames[n]);
            }
            SelectComboBox.SelectedIndex = 0;
        }
    }
}