Attribute VB_Name = "Deva022"
'-----------------------------------------------------------------------------
'
'    Light Controller device driver header file
'
'-----------------------------------------------------------------------------
'
'    Revision History.
'
'-----------------------------------------------------------------------------

Declare Function open_light Lib "lghtlb32.dll" () As Integer
Declare Function close_light Lib "lghtlb32.dll" () As Integer
Declare Function read_light Lib "lghtlb32.dll" (ByVal com As Integer, ByVal chan As Integer) As Long
Declare Function write_light Lib "lghtlb32.dll" (ByVal com As Integer, ByVal chan As Integer, ByVal value As Long) As Integer

' Functions

Public Const NUM_UNITS = 7
Public Const UNIT_TYPE = 8
Public Const VERSION_NUM = 9

Public Const ENABLE = 10
Public Const READY = 11
Public Const RING_LED_MODE = 12

Public Const RING_ENABLE = 20
Public Const RING_POWER = 21
Public Const RING_POWER_MAX = 22
Public Const RING_WIDTH = 23
Public Const RING_WIDTH_MAX = 24
Public Const RING_DIRECTION = 25
Public Const RING_DIRECTION_MAX = 26

Public Const AUX1_ENABLE = 30
Public Const AUX1_POWER = 31
Public Const AUX1_POWER_MAX = 32

Public Const AUX2_ENABLE = 40
Public Const AUX2_POWER = 41
Public Const AUX2_POWER_MAX = 42

Public Const STEP_POSITION = 50
Public Const STEP_INPUTS = 51
Public Const STEP_FEED = 52
Public Const STEP_ACCEL = 53
Public Const STEP_DECEL = 54
Public Const STEP_KV = 55
Public Const STEP_VFF = 56
Public Const LIMIT_POSITION = 57
Public Const NUM_STEPPERS = 58

Public Const FOCUS_CAPTURE = 60
Public Const FOCUS_NUMBER = 61
Public Const FOCUS_STATE = 62
Public Const FOCUS_THRESHOLD = 63


