using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DevaCameraSample
{
    public partial class CameraSelectForm : Form
    {
        public CameraSelectForm(Deva.Camlib.CAM_IDENTIFICATION [] Idents,UInt32 NumCameras)        
        {
            InitializeComponent();
            for (int i = 0; i < NumCameras; i++)
            {
                CameraListBox.Items.Add(Idents[i].descr);
            }
        }

        public int GetSelection()
        {
            int Selection;
            Selection = CameraListBox.SelectedIndex;
            if (Selection == -1)
            {
                Selection = 0;
            }
            return Selection;
        }

        private void OnClose(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}